org.apache.solr.core

## Class NodeConfig

- java.lang.Object
- - org.apache.solr.core.NodeConfig

-     public class NodeConfig
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NodeConfig.NodeConfigBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrResourceLoader` | `loader`
    `protected Properties` | `solrProperties`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PluginInfo[]` | `getBackupRepositoryPlugins()`
    `CloudConfig` | `getCloudConfig()`
    `String` | `getCollectionsHandlerClass()`
    `Path` | `getConfigSetBaseDirectory()`
    `String` | `getConfigSetsHandlerClass()`
    `String` | `getCoreAdminHandlerClass()`
    `int` | `getCoreLoadThreadCount(boolean zkAware)`
    `Path` | `getCoreRootDirectory()`
    `String` | `getInfoHandlerClass()`
    `LogWatcherConfig` | `getLogWatcherConfig()`
    `String` | `getManagementPath()`
    `String` | `getNodeName()`
    `PluginInfo` | `getShardHandlerFactoryPluginInfo()`
    `String` | `getSharedLibDirectory()`
    `Properties` | `getSolrProperties()`
    `SolrResourceLoader` | `getSolrResourceLoader()`
    `int` | `getTransientCacheSize()`
    `UpdateShardHandlerConfig` | `getUpdateShardHandlerConfig()`
    `boolean` | `hasSchemaCache()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### loader

          protected final SolrResourceLoader loader

    - #### solrProperties

          protected final Properties solrProperties

  - ### Method Detail

    - #### getNodeName

          public String getNodeName()

    - #### getCoreRootDirectory

          public Path getCoreRootDirectory()

    - #### getShardHandlerFactoryPluginInfo

          public PluginInfo getShardHandlerFactoryPluginInfo()

    - #### getUpdateShardHandlerConfig

          public UpdateShardHandlerConfig getUpdateShardHandlerConfig()

    - #### getCoreLoadThreadCount

          public int getCoreLoadThreadCount(boolean zkAware)

    - #### getSharedLibDirectory

          public String getSharedLibDirectory()

    - #### getCoreAdminHandlerClass

          public String getCoreAdminHandlerClass()

    - #### getCollectionsHandlerClass

          public String getCollectionsHandlerClass()

    - #### getInfoHandlerClass

          public String getInfoHandlerClass()

    - #### getConfigSetsHandlerClass

          public String getConfigSetsHandlerClass()

    - #### hasSchemaCache

          public boolean hasSchemaCache()

    - #### getManagementPath

          public String getManagementPath()

    - #### getConfigSetBaseDirectory

          public Path getConfigSetBaseDirectory()

    - #### getLogWatcherConfig

          public LogWatcherConfig getLogWatcherConfig()

    - #### getCloudConfig

          public CloudConfig getCloudConfig()

    - #### getTransientCacheSize

          public int getTransientCacheSize()

    - #### getSolrProperties

          public Properties getSolrProperties()

    - #### getSolrResourceLoader

          public SolrResourceLoader getSolrResourceLoader()

    - #### getBackupRepositoryPlugins

          public PluginInfo[] getBackupRepositoryPlugins()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.